<!DOCTYPE html>
<html lang="en" th:lang="#{lang}" xmlns:th="http://www.thymeleaf.org">
<head>
    <!--/*/ <th:block th:include="fragments/layout :: head">
        </th:block> /*/-->
</head>
<body>

<div id="wrapper">

    <div th:replace="fragments/layout :: header('admin')"></div>


    <!--CAROUSEL-->
    <!--<div th:replace="fragments/layout :: carousel-sm"></div>-->

    <main id="main" class="container mt-2">

        <div class="d-lg-flex">
            <div class="p-2">
                <!--BACK-->
                <div class="mb-2">
                    <a class="btn btn-sm btn-outline-secondary w-100" th:href="@{/admin/users}">
                        <i class="fas fa-chevron-left mr-2"></i>
                        Zpět na seznam
                    </a>
                </div>
                <!--SIDE NAV-->
                <div th:replace="fragments/layout :: adminSideNav('users')"></div>
            </div>

            <div class="flex-grow-1 p-2">

                <h2 class="mb-3 pb-3 border-bottom">Nový zákazník</h2>

                <div th:replace="fragments/layout :: alerts"></div>

                <form class="needs-validation" method="post" th:action="@{/user/add}" th:object="${user}"
                      th:fragment="signupForm" novalidate>

                    <div class="row">
                        <div class="col-md-6">
                            <!--GENERAL INFO-->
                            <div class="card mb-2">
                                <div class="card-header">
                                    Základní údaje
                                </div>
                                <div class="card-body">
                                    <div class="form-group row">
                                        <!--NAME-->
                                        <label for="name"
                                               class="col-4 col-sm-3 col-md-4 col-form-label">Jméno:</label>
                                        <div class="col-8 col-sm-9 col-md-8">
                                            <input type="text" class="form-control" id="name" th:field="*{name}"
                                                   th:classappend="${#fields.hasErrors('name')} ? 'is-invalid'"
                                                   required>
                                            <span class="text-danger invalid-feedback">jméno je povinné</span>
                                        </div>
                                    </div>

                                    <!--SURNAME-->
                                    <div class="form-group row">
                                        <label for="surname"
                                               class="col-4 col-sm-3 col-md-4 col-form-label">Příjmení:</label>
                                        <div class="col-8 col-sm-9 col-md-8">
                                            <input type="text" class="form-control" id="surname" th:field="*{surname}"
                                                   th:classappend="${#fields.hasErrors('surname')} ? 'is-invalid'"
                                                   required>
                                            <span class="text-danger invalid-feedback">příjmení je povinné</span>
                                        </div>
                                    </div>

                                    <!--COMPANY-->
                                    <div class="form-group row">
                                        <label for="company"
                                               class="col-4 col-sm-3 col-md-4 col-form-label">Firma:</label>
                                        <div class="col-8 col-sm-9 col-md-8">
                                            <input type="text" class="form-control" id="company" th:field="*{company}">
                                        </div>
                                    </div>

                                    <!--EMAIL-->
                                    <div class="form-group row">
                                        <label for="email"
                                               class="col-4 col-sm-3 col-md-4 col-form-label">Email:</label>
                                        <div class="col-8 col-sm-9 col-md-8">
                                            <input type="email" class="form-control" id="email" th:field="*{email}"
                                                   th:classappend="${#fields.hasErrors('email')} ? 'is-invalid'"
                                                   required>
                                            <span class="text-danger invalid-feedback">email je povinný</span>
                                        </div>
                                    </div>

                                    <!--PHONE-->
                                    <div class="form-group row">
                                        <label for="phoneNumber"
                                               class="col-4 col-sm-3 col-md-4 col-form-label">Telefon:</label>
                                        <div class="col-8 col-sm-9 col-md-8">
                                            <input type="text" class="form-control" id="phoneNumber"
                                                   th:field="*{phoneNumber}"
                                                   th:classappend="${#fields.hasErrors('phoneNumber')} ? 'is-invalid'">
                                            <span class="text-danger invalid-feedback">telefonní číslo je povinné</span>
                                        </div>
                                    </div>

                                    <!--Č.OP/RČ-->
                                    <div class="form-group row mb-0">
                                        <label for="idNumber" class="col-4 col-sm-3 col-md-4 col-form-label">Číslo
                                            OP/RČ:</label>
                                        <div class="col-8 col-sm-9 col-md-8">
                                            <input type="text" class="form-control" id="idNumber" th:field="*{idNumber}"
                                                   th:classappend="${#fields.hasErrors('idNumber')} ? 'is-invalid'"
                                                   required>
                                            <span class="text-danger invalid-feedback">číslo občanky nebo rodné číslo je povinné</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <!--ADDRESS-->
                            <div class="card mb-2">
                                <div class="card-header">
                                    Adresa
                                </div>
                                <div class="card-body">

                                    <!--CITY-->
                                    <div class="form-group row">
                                        <label for="city"
                                               class="col-4 col-sm-3 col-md-4 col-form-label">Město:</label>
                                        <div class="col-8 col-sm-9 col-md-8">
                                            <input type="text" class="form-control" id="city" th:field="*{address.city}"
                                                   th:classappend="${#fields.hasErrors('address.city')} ? 'is-invalid'"
                                                   required>
                                            <span class="text-danger invalid-feedback">město je povinné</span>
                                        </div>
                                    </div>

                                    <!--STREET-->
                                    <div class="form-group row">
                                        <label for="street" class="col-4 col-sm-3 col-md-4 col-form-label">Ulice
                                            a
                                            ČP:</label>
                                        <div class="col-8 col-sm-9 col-md-8">
                                            <input type="text" class="form-control" id="street"
                                                   th:field="*{address.street}"
                                                   th:classappend="${#fields.hasErrors('address.street')} ? 'is-invalid'"
                                                   required>
                                            <span class="text-danger invalid-feedback">ulice je povinná</span>
                                        </div>
                                    </div>

                                    <div class="form-group row">
                                        <!--ZIP-->
                                        <label for="zip"
                                               class="col-4 col-sm-3 col-md-4 col-form-label">Zip:</label>
                                        <div class="col-8 col-sm-9 col-md-8">
                                            <input type="text" class="form-control" id="zip" th:field="*{address.zip}"
                                                   th:classappend="${#fields.hasErrors('address.zip')} ? 'is-invalid'"
                                                   required>
                                            <span class="text-danger invalid-feedback">zip je povinný</span>
                                        </div>

                                    </div>

                                    <!--STATE-->
                                    <div class="form-group row mb-0">
                                        <label for="state"
                                               class="col-4 col-sm-3 col-md-4 col-form-label">Stát:</label>
                                        <div class="col-8 col-sm-9 col-md-8">
                                            <input type="text" class="form-control" id="state"
                                                   th:field="*{address.state}"
                                                   th:classappend="${#fields.hasErrors('address.state')} ? 'is-invalid'"
                                                   required>
                                            <span class="text-danger invalid-feedback">stát je povinný</span>
                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>

                    <div class="clearfix">
                        <button type="submit" id="signupButton" class="btn btn-orange float-right px-4">Vytvořit
                        </button>
                    </div>
                </form>

            </div>
        </div>
    </main>
</div>

<div th:replace="fragments/layout :: footer"></div>

<script>
    jQuery(document).ready(function () {

        /**REGISTRATION VALIDATION*/
        $('#signupButton').on('click', function () {
            validateEmail($('#email'))
        });
        $('#email').on('input', function () {
            validateEmail($('#email'))
        });

    });
</script>

</body>
</html>